Home Articles

尝试在本地计算机上检查Heroku版本时出错

Asked
Viewed 585 times
0

我正在尝试查看我已经安装了哪个版本的Heroku所以我可以安装heroku工具腰带https://toolbelt.heroku.com/但是当我输入时:

Heroku --v

我在终端获得以下内容:

BrettMac:~brettgolding $ heroku --v /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:121:in require':dlopen( /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/2.1.0/x86_64-darwin13.0/openssl.bundle,9):找不到符号:_SSLv2_client_method(LoadError)引自:/ Users / brettgolding /.rbenv/versions/2.1.1/lib/ruby/2.1.0/x86_64-darwin13.0/openssl.bundle预期在:/usr/local/opt/openssl/lib/libssl.1.0.0.dylib in / Users / brettgolding / .rbenv / versions / 2.1.1 / lib / ruby / 2.1.0 / x86_64-darwin13.0 / openssl.bundle - /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/2.1来自/Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:121:inrequire'的.0 / x86_64-darwin13.0 / openssl.bundle /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/2.1.0/openssl.rb:17:in <top(required)>'from /Users/brettgolding/.rbenv/versions/2.1.1 /lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:121:inrequ ire'来自/Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:121:in require'from /Users/brettgolding/.rbenv/versions /2.1.1/lib/ruby/gems/2.1.0/gems/excon-0.33.0/lib/excon.rb:6:in'来自/Users/brettgolding/.rbenv/versions/2.1.1/lib/ ruby / site_ruby / 2.1.0 / rubygems / core_ext / kernel_require.rb:69:in require'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/ kernel_require.rb:69:inrequire'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/gems/2.1.0/gems/heroku-api-0.3.18/lib/heroku/api.rb :3:在<top(required)>'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:121:inrequire'from / Users / brettgolding / .rbenv / versions / 2.1.1 / lib / ruby / site_ruby / 2.1.0 / rubygems / core_ext / kernel_require.rb:121:in require'from /Users/brettgolding/.rbenv/versions/2.1.1 /lib/ruby/gems/2.1.0/gems/heroku-api-0.3.18/lib/heroku-api.rb:1:in'来自/Users/brettgolding/.rben v / versions / 2.1.1 / lib / ruby / site_ruby / 2.1.0 / rubygems / core_ext / kernel_require.rb:69:in require'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/ site_ruby / 2.1.0 / rubygems / core_ext / kernel_require.rb:69:inrequire'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/gems/2.1.0/gems/heroku-3.9.6 /lib/heroku/client/organizations.rb:1:in <top(required)>'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/ kernel_require.rb:69:inrequire'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:69:in require'from / Users / brettgolding / .rbenv / versions / 2.1.1 / lib / ruby / gems / 2.1.0 / gems / heroku-3.9.6 / lib / heroku / command / base.rb:4:in'from / Users / brettgolding / . rbenv / versions / 2.1.1 / lib / ruby / site_ruby / 2.1.0 / rubygems / core_ext / kernel_require.rb:69:in require'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/ site_ruby / 2.1.0 / rubygems / core_ext / kernel_require.rb:69:inrequire'from /Users/brettgolding/.rbenv/ve rsions / 2.1.1 / lib / ruby / gems / 2.1.0 / gems / heroku-3.9.6 / lib / heroku / command / addons.rb:1:in <top(required)>'from / Users / brettgolding / .rbenv / versions / 2.1.1 / lib / ruby / site_ruby / 2.1.0 / rubygems / core_ext / kernel_require.rb:121:inrequire'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/ site_ruby / 2.1.0 / rubygems / core_ext / kernel_require.rb:121:in require'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/gems/2.1.0/gems/heroku-3.9 . 6 / lib / heroku / command.rb:14:clinder in load'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/gems/2.1.0/gems/heroku-3.9.6/lib /heroku/command.rb:13:in每个'来自/Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/gems/2.1.0/gems/heroku-3.9.6/lib/heroku/command .rb:13:inload'来自/Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/gems/2.1.0/gems/heroku-3.9.6/lib/heroku/cli.rb:36:在开头'from /Users/brettgolding/.rbenv/versions/2.1.1/lib/ruby/gems/2.1.0/gems/heroku-3.9.6/bin/heroku:17:in'from / Users / brettgolding / .rbenv / versions / 2.1.1 / bin / heroku:23:在loa来自/Users/brettgolding/.rbenv/versions/2.1.1/bin/heroku:23:in'

我正在使用OSX和终端 .

1 Answer

Related